package com.yunniu.farming.webadmin.service;

import com.yunniu.farming.result.Result;
import com.yunniu.farming.webadmin.model.GroupBuy;
import com.yunniu.farming.webadmin.model.Product;

import java.util.List;

/**
 * @author zyf
 * @date 2023/5/12
 * @apiNote
 */
public interface GroupBuyService {

    /**
     * 分页查询
     * @return
     */
    List<GroupBuy> findPageList(GroupBuy item);

    Result addOrEdit(GroupBuy item);

    /**
     * 详情
     * @param id 团购id
     * @return
     */
    GroupBuy findById(Long id);

    /**
     * 分页查询商品列表
     * @param item
     * @return
     */
    List<Product> productList(Product item);

    int delById(Long id);

    Integer findJoinNumber();

    List<String> findavatarList();
}
